org.apache.ignite.internal.processors.cache.query

## Class GridCacheLocalFieldsQueryFuture

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.apache.ignite.internal.util.future.GridFutureAdapter<Collection<R>>
      - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter<K,V,R>
        - - org.apache.ignite.internal.processors.cache.query.GridCacheLocalQueryFuture<Object,Object,List<Object>>
          - - org.apache.ignite.internal.processors.cache.query.GridCacheLocalFieldsQueryFuture

All Implemented Interfaces:
  Serializable, AutoCloseable, IgniteInternalFuture<Collection<List<Object>>>, CacheQueryFuture<List<Object>>, GridCacheQueryMetadataAware, GridTimeoutObject

    public class GridCacheLocalFieldsQueryFuture
    extends GridCacheLocalQueryFuture<Object,Object,List<Object>>
    implements GridCacheQueryMetadataAware

Local fields query future.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`AbstractQueuedSynchronizer.ConditionObject`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter

`cctx, loc, log, mux, qry`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheLocalFieldsQueryFuture(GridCacheContext<?,?> ctx, GridCacheQueryBean qry)`

### Method Summary

Methods
`IgniteInternalFuture<List<GridQueryFieldMetadata>>` `metadata()`
`void` `onPage(UUID nodeId, List<GridQueryFieldMetadata> metaData, Collection<?> data, Throwable err, boolean finished)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheLocalQueryFuture

`awaitFirstPage, cancelQuery, loadAllPages, loadPage, onPage`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter

`cancel, close, endTime, enqueue, get, get, getUninterruptibly, next, nextPage, nextPage, onDone, onNodeLeft, onPage, onTimeout, printMemoryStats, query, timeoutId, toString`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, duration, error, get, get0, ignoreInterrupts, isCancelled, isDone, isFailed, listen, onCancelled, onDone, onDone, onDone, result, startTime, tryAcquireShared, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isHeldExclusively, isQueued, owns, release, releaseShared, setState, tryAcquire, tryAcquireNanos, tryAcquireSharedNanos, tryRelease`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.query.CacheQueryFuture

`isDone`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`chain, duration, error, get, isCancelled, listen, result, startTime`

### Constructor Detail

#### GridCacheLocalFieldsQueryFuture

    public GridCacheLocalFieldsQueryFuture(GridCacheContext<?,?> ctx,
                                   GridCacheQueryBean qry)

Parameters:
  `ctx` - Cache context.
  `qry` - Query.

### Method Detail

#### onPage

    public void onPage(@Nullable
              UUID nodeId,
              @Nullable
              List<GridQueryFieldMetadata> metaData,
              @Nullable
              Collection<?> data,
              @Nullable
              Throwable err,
              boolean finished)

Parameters:
  `nodeId` - Sender node ID.
  `metaData` - Meta data.
  `data` - Page data.
  `err` - Error.
  `finished` - Finished or not.

#### metadata

    public IgniteInternalFuture<List<GridQueryFieldMetadata>> metadata()

Specified by:
  `metadata` in interface `GridCacheQueryMetadataAware`
Returns:
  Future to retrieve metadata.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016